DominoReplicas (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoReplicas interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoReplicas

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoReplicas

extends LogicalElement

Represents a group of fields in the directory assistance document that represents domino replicas. The field names are self-explanatory. They are a one-to-one mapping of the corresponding fields in the directory assistance document.

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  DOMREPL
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAddressBook0()` "AddressBook_0"
`java.lang.String` | `getAddressBook1()`
`java.lang.String` | `getAddressBook2()`
`java.lang.String` | `getAddressBook3()`
`java.lang.String` | `getAddressBook4()`
`java.lang.String` | `getDatabaseLinks()` The field "DatabaseLinks"
`int` | `getEnabled0()`
`int` | `getEnabled1()`
`int` | `getEnabled2()`
`int` | `getEnabled3()`
`int` | `getEnabled4()`
`DirectoryAssistance` | `getParent()` The directory assistance that contains this object.
`java.lang.String` | `getServerName0()` The field "ServerName_0"
`java.lang.String` | `getServerName1()`
`java.lang.String` | `getServerName2()`
`java.lang.String` | `getServerName3()`
`java.lang.String` | `getServerName4()`
`boolean` | `hasAddressBook0()`
`boolean` | `hasAddressBook1()`
`boolean` | `hasAddressBook2()`
`boolean` | `hasAddressBook3()`
`boolean` | `hasAddressBook4()`
`boolean` | `hasDatabaseLinks()`
`boolean` | `hasEnabled0()`
`boolean` | `hasEnabled1()`
`boolean` | `hasEnabled2()`
`boolean` | `hasEnabled3()`
`boolean` | `hasEnabled4()`
`boolean` | `hasParent()`
`boolean` | `hasServerName0()`
`boolean` | `hasServerName1()`
`boolean` | `hasServerName2()`
`boolean` | `hasServerName3()`
`boolean` | `hasServerName4()`
`void` | `setAddressBook0(java.lang.String s)`
`void` | `setAddressBook1(java.lang.String s)`
`void` | `setAddressBook2(java.lang.String s)`
`void` | `setAddressBook3(java.lang.String s)`
`void` | `setAddressBook4(java.lang.String s)`
`void` | `setDatabaseLinks(java.lang.String s)`
`void` | `setEnabled0(int s)`
`void` | `setEnabled1(int s)`
`void` | `setEnabled2(int s)`
`void` | `setEnabled3(int s)`
`void` | `setEnabled4(int s)`
`void` | `setParent(DirectoryAssistance s)`
`void` | `setServerName0(java.lang.String s)`
`void` | `setServerName1(java.lang.String s)`
`void` | `setServerName2(java.lang.String s)`
`void` | `setServerName3(java.lang.String s)`
`void` | `setServerName4(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DirectoryAssistance s)

### getParent

    DirectoryAssistance getParent()
                                  throws AttributeNotSetException

  The directory assistance that contains this object.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Locates" reverse="true"

### hasParent

    boolean hasParent()

### setDatabaseLinks

    void setDatabaseLinks(java.lang.String s)

### getDatabaseLinks

    java.lang.String getDatabaseLinks()
                                      throws AttributeNotSetException

  The field "DatabaseLinks"

  Throws:
    `AttributeNotSetException`

### hasDatabaseLinks

    boolean hasDatabaseLinks()

### setServerName0

    void setServerName0(java.lang.String s)

### getServerName0

    java.lang.String getServerName0()
                                    throws AttributeNotSetException

  The field "ServerName_0"

  Throws:
    `AttributeNotSetException`

### hasServerName0

    boolean hasServerName0()

### setAddressBook0

    void setAddressBook0(java.lang.String s)

### getAddressBook0

    java.lang.String getAddressBook0()
                                     throws AttributeNotSetException

  "AddressBook_0"

  Throws:
    `AttributeNotSetException`

### hasAddressBook0

    boolean hasAddressBook0()

### setEnabled0

    void setEnabled0(int s)

### getEnabled0

    int getEnabled0()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnabled0

    boolean hasEnabled0()

### setServerName1

    void setServerName1(java.lang.String s)

### getServerName1

    java.lang.String getServerName1()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServerName1

    boolean hasServerName1()

### setAddressBook1

    void setAddressBook1(java.lang.String s)

### getAddressBook1

    java.lang.String getAddressBook1()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAddressBook1

    boolean hasAddressBook1()

### setEnabled1

    void setEnabled1(int s)

### getEnabled1

    int getEnabled1()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnabled1

    boolean hasEnabled1()

### setServerName2

    void setServerName2(java.lang.String s)

### getServerName2

    java.lang.String getServerName2()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServerName2

    boolean hasServerName2()

### setAddressBook2

    void setAddressBook2(java.lang.String s)

### getAddressBook2

    java.lang.String getAddressBook2()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAddressBook2

    boolean hasAddressBook2()

### setEnabled2

    void setEnabled2(int s)

### getEnabled2

    int getEnabled2()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnabled2

    boolean hasEnabled2()

### setServerName3

    void setServerName3(java.lang.String s)

### getServerName3

    java.lang.String getServerName3()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServerName3

    boolean hasServerName3()

### setAddressBook3

    void setAddressBook3(java.lang.String s)

### getAddressBook3

    java.lang.String getAddressBook3()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAddressBook3

    boolean hasAddressBook3()

### setEnabled3

    void setEnabled3(int s)

### getEnabled3

    int getEnabled3()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnabled3

    boolean hasEnabled3()

### setServerName4

    void setServerName4(java.lang.String s)

### getServerName4

    java.lang.String getServerName4()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServerName4

    boolean hasServerName4()

### setAddressBook4

    void setAddressBook4(java.lang.String s)

### getAddressBook4

    java.lang.String getAddressBook4()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAddressBook4

    boolean hasAddressBook4()

### setEnabled4

    void setEnabled4(int s)

### getEnabled4

    int getEnabled4()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnabled4

    boolean hasEnabled4()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD